//刪除左右兩端的空格
function trim(str){ 
    return str.replace(/(^\s*)|(\s*$)/g, "");
}
//轉跳網址
function goUrl(url) {
    if (!url) {
        return false;
    }
    location.href  = url;
}
//添加
function add(url) {
    if (!url) {
        return false;
    }
    location.href  = url;
}

//刪除
function del(url) {
    if (!url) {
        alert('請選擇刪除項！');
        return false;
    }
    if (window.confirm('確實要永久刪除選擇項嗎？')){
        location.href  = url;
    }
    
}
//批量刪除
function delAll(){
    //if 沒有被選中的checkbox
    if (!getCheckboxNum()){
        alert('請選擇項！');
        return false;
    }
    if (window.confirm('確實要永久刪除選擇項嗎？')){
        document.getElementById("form_do").submit(); 
    }
      

}

//批量確認通用
function doConfirmBatch(url, str){
    //if 沒有被選中的checkbox
    if (!getCheckboxNum()){
        alert('請選擇項！');
        return false;
    }
    if (window.confirm(str)){
        var form_do = document.getElementById("form_do"); 
        form_do.action = url;
        form_do.submit(); 
    }
      

}

//批量通用(無確認)
function doGoBatch(url, str){
    //if 沒有被選中的checkbox
    if (!getCheckboxNum()){
        alert('請選擇項！');
        return false;
    }
    var form_do = document.getElementById("form_do"); 
    form_do.action = url;
    form_do.submit();       

}

//全部確認通用
function doConfirmAll(url, str){

    if (window.confirm(str)){
        var form_do = document.getElementById("form_do"); 
        form_do.action = url;
        form_do.submit(); 
    }
      

}

//直接提交
function doGoSubmit(url, formid){
    if (formid.length == 0) {
        alert('formid empty！');
        return false;
    }
    var form_do = document.getElementById(formid); 
    form_do.action = url;
    form_do.submit();       

}



//批量通過審核
function toGetSubmit(url, mode, depr){
    var keyValue = getCheckValues();
    if (depr == '') {
        depr = '/';
    }
    if (!keyValue){
        alert('請選擇項！');
        return false;
    }

    if (mode == 0) {
        location.href = url+"&key="+keyValue;
    }else {
        location.href = url+depr+"key"+depr+keyValue;
    }       
    
}

//確認,跳轉網址
function toConfirm(url, str){

    if (window.confirm(str)){
        location.href = url;
    }
      

}


//獲取Checkbox被選擇個數
function getCheckboxNum(){
   var checkbox = document.getElementsByName("key[]");
   var j = 0; // 用戶選中的選項個數
   for(var i=0;i<checkbox.length;i++){
      if(checkbox[i].checked){
          j++;
      }
   }
   return j;

}
//設置Checkbox狀態
function setCheckbox(flag){
    flag = flag? true : false;
    var checkbox = document.getElementsByName("key[]");
    for(var i=0;i<checkbox.length;i++){
        if (!checkbox[i].disabled) {        
            checkbox[i].checked = flag;
        }
    }

}

function getCheckValues(){
	var obj = document.getElementsByName('key[]');
	var result ='';
	var j= 0;
	for (var i=0;i<obj.length;i++){
            if (obj[i].checked===true){
                result += obj[i].value+",";
                j++;
            }
	}
	return result.substring(0, result.length-1);
}


function switchTab(name,sclass,cnt,cur){
        for(i=1;i<=cnt;i++){
            if(i==cur){
                 $('#div_'+name+'_'+i).show();
                 $('#tab_'+name+'_'+i).addClass(sclass);
            }else{
                 $('#div_'+name+'_'+i).hide();
                 $('#tab_'+name+'_'+i).removeClass(sclass);
            }
        }
    }


$(function(){
    //選中列表行變色
    $(".list tr").mouseover(function(){
        $(this).addClass("currow");
    }).mouseout(function(){
        $(this).removeClass("currow");
    });
    //全選/取消
    $("#check").click(function(){
        if($(this).attr("checked")=="checked"){
            setCheckbox(true);
        }else{
            setCheckbox(false);
        }

    });
    
    
});
